﻿
using System.IO;
using System.Windows;
using System.Windows.Controls;
using DockManagerTest.ViewModel;
using Infragistics.Windows.DockManager;
using Infragistics.Windows.DockManager.Events;

namespace DockManagerTest
{
    /// <summary>
    /// Interaction logic for View3.xaml
    /// </summary>
    public partial class View3 : UserControl
    {
        public View3()
        {
            InitializeComponent();
        }

        private void View3_OnLoaded(object sender, RoutedEventArgs e)
        {

            if (LayoutHandler.Layouts.ContainsKey("OneLayout"))
                DockManager.LoadLayout(LayoutHandler.LoadLayout("OneLayout"));
        }

        private void View3_OnUnloaded(object sender, RoutedEventArgs e)
        {
            var stream = new MemoryStream();
            DockManager.SaveLayout(stream);
            LayoutHandler.SaveLayout(stream, "OneLayout");
        }


        private void XamdDockManager_OptionsMenuOpening(object sender, PaneOptionsMenuOpeningEventArgs e)
        {
            var collection = e.Items;
            var item = new MenuItem();

            foreach (MenuItem mi in collection)
            {
                if (mi.Header == null) continue;

                if (mi.Header.ToString().Contains("Float"))
                {
                    item = mi;
                    break;
                }
            }
            item.Command = ContentPaneCommands.ToggleDockedState;
        }
    }
}
